using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SanShared;

namespace TempCAN
{
    /// <summary>
    /// Auflistung der Schnittstellen
    /// </summary>
    public enum TemperaturSchnittstellen
    {
        /// <summary>
        /// Tinkerforge schnittstelle
        /// </summary>
        TINKERFORGE
    }
    /// <summary>
    /// 
    /// </summary>
    public static  class TemperaturBuilder
    {
        /// <summary>
        /// 
        /// </summary>
        public static ITemperature Temperatur(TemperaturSchnittstellen temperaturSchnittstellen)
        {
            switch(temperaturSchnittstellen)
            {
                case TemperaturSchnittstellen.TINKERFORGE:
                    return new TinkerForgeTemperatur();
                    

                default:
                    throw new Exception();
            }
        }
    }
}
